# frozen_string_literal: true

require 'ditty/models/base'

module Ditty
  class Role < ::Sequel::Model
    include ::Ditty::Base
    plugin :tree

    many_to_many :users

    def validate
      super
      validates_presence [:name]
      validates_unique [:name]
    end
  end
end
